import { provideHttpClient } from '@angular/common/http';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { GridModule } from '@progress/kendo-angular-grid';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { DialogModule } from '@progress/kendo-angular-dialog';
import { DatePipe, DecimalPipe, CommonModule } from '@angular/common';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AppRoutesModule } from '../app.routes.module';
import { AlertComponent } from '../components/alert';
import { BreadcrumbService } from '../breadcrumb.service';
import { ServicesModule } from '../../providers/services.module';
import { FunctionService } from '../components/models/function.service';
import { UsersComponent } from './users.component';

describe('UsersComponent', () =>
{
  beforeEach(waitForAsync(() =>
  {
    TestBed.configureTestingModule({
    imports: [
        BrowserAnimationsModule,
        AppRoutesModule,
        FormsModule,
        ReactiveFormsModule,
        CommonModule,
        ServicesModule,
        AlertComponent,
        DialogModule,
        GridModule,
        UsersComponent
    ],
    providers: [
        provideHttpClient(),
        DatePipe,
        DecimalPipe,
        BreadcrumbService,
        FunctionService
    ]
}).compileComponents();
  }));
  it('Component created successfully...', waitForAsync(() =>
  {
    const fixture = TestBed.createComponent(UsersComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));
});
